COLORIT(1)

NAME
colorit - a script for markuping the text input

SYNOPSIS
colorit [OPTIONS] [files...]

DESCRIPTION
colorit is a script for markuping text input and sending a result to stdout. Markuping rules are described in a configuration file which is filtered by preprocessor (the default is m4 ). The define HOME equal to your home directory is set for the preprocessor using -D option supported by both m4 and cpp. This script can be used for colorizing the text by ANSI escape sequences, or making a simple text conversions and may be used for colorizing output of dict or other programs. In particular, log files, dict, cc, make, or diff output can easily be colorized and viewed.

OPTIONS

-V or --version
    Shows version information.

-h or --help
    Shows help information.

-c file or --config file
    Specify configuration file. The default is ~/.coloritrc or /etc/dictd/colorit.conf

--pp preprocessor
    Specify a preprocessor (- for none).

FILES

~/.coloritrc
    User's colorit configuration file

/etc/dictd/colorit.conf
    System colorit configuration file

CONFIG FILE
Empty lines or lines beginning with sharp sign (`#') are ignored. All other lines have this structure: command arg1 arg2 ... argN. All commands are processed one-by-one for each input line.
args strings can be surrounded by double-quote characters.
Currently, only mark command is available having the following arguments: regexp pre_string post_string
The pre_string and post_string are inserted at the beginning and the end of substring matched by regular expression regexp

BUGS
The only supported escape sequence in the strings surrounded by double quotes is \033.

SEE ALSO
less(1), m4(1), cpp(1), dict(1)